> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an overview of the Ethereum network.

> This endpoint returns a network-wide overview of Ethereum.



## OpenAPI

````yaml get /v1/eth
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/eth:
    get:
      tags:
        - Network
      summary: Get an overview of the Ethereum network.
      description: This endpoint returns a network-wide overview of Ethereum.
      operationId: get_network_overview_v1_eth_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 10
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: window
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TimeWindow'
              - type: 'null'
            description: The time window of aggregation
            title: Window
          description: The time window of aggregation
        - name: X-Rated-Network
          in: header
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            default: mainnet
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__20
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    Network:
      type: string
      enum:
        - mainnet
        - hoodi
        - holesky
      title: Network
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__20:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            $defs:
              ClientPercentage:
                properties:
                  client:
                    type: string
                    title: Client
                  percentage:
                    type: number
                    minimum: 0
                    title: Percentage
                type: object
                required:
                  - client
                  - percentage
                title: ClientPercentage
            properties:
              window:
                anyOf:
                  - type: string
                  - type: 'null'
                title: Window
              validatorCount:
                type: integer
                minimum: 0
                title: Validatorcount
              validatorCountDiff:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Validatorcountdiff
              medianValidatorAgeDays:
                type: integer
                minimum: 0
                title: Medianvalidatoragedays
              activeStake:
                type: integer
                minimum: 0
                title: Activestake
              activeStakeDiff:
                anyOf:
                  - type: integer
                  - type: 'null'
                title: Activestakediff
              avgValidatorBalance:
                type: number
                minimum: 0
                title: Avgvalidatorbalance
              avgValidatorBalanceDiff:
                anyOf:
                  - type: number
                  - type: 'null'
                title: Avgvalidatorbalancediff
              sumMissedSlots:
                type: integer
                minimum: 0
                title: Summissedslots
              missedSlotsPercentage:
                type: number
                minimum: 0
                title: Missedslotspercentage
              avgValidatorEffectiveness:
                anyOf:
                  - type: number
                    minimum: 0
                  - type: 'null'
                title: Avgvalidatoreffectiveness
              giniCoefficient:
                type: number
                minimum: 0
                title: Ginicoefficient
              clientPercentages:
                items:
                  $ref: '#/components/schemas/ClientPercentage'
                type: array
                title: Clientpercentages
            type: object
            required:
              - window
              - validatorCount
              - validatorCountDiff
              - medianValidatorAgeDays
              - activeStake
              - activeStakeDiff
              - avgValidatorBalance
              - avgValidatorBalanceDiff
              - sumMissedSlots
              - missedSlotsPercentage
              - avgValidatorEffectiveness
              - giniCoefficient
              - clientPercentages
            title: NetworkOverview
            examples:
              - activeStake: 37361
                activeStakeDiff: 37361
                avgValidatorBalance: 37361
                avgValidatorBalanceDiff: 37361
                avgValidatorEffectiveness: 0.07855633469653803
                clientPercentages:
                  - client: Prysm
                    percentage: 0.5
                  - client: Lighthouse
                    percentage: 0.3
                giniCoefficient: 0.07855633469653803
                medianValidatorAgeDays: 37361
                missedSlotsPercentage: 0.07855633469653803
                sumMissedSlots: 37361
                validatorCount: 37361
                validatorCountDiff: 37361
                window: 1d
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1NetworkOverview
      examples:
        - next: https://api.rated.network//v1/eth?limit=10&offset=30
          pages: 10
          previous: https://api.rated.network//v1/eth?limit=10&offset=10
          results:
            - - activeStake: 37361
                activeStakeDiff: 37361
                avgValidatorBalance: 37361
                avgValidatorBalanceDiff: 37361
                avgValidatorEffectiveness: 0.07855633469653803
                clientPercentages:
                  - client: Prysm
                    percentage: 0.5
                  - client: Lighthouse
                    percentage: 0.3
                giniCoefficient: 0.07855633469653803
                medianValidatorAgeDays: 37361
                missedSlotsPercentage: 0.07855633469653803
                sumMissedSlots: 37361
                validatorCount: 37361
                validatorCountDiff: 37361
                window: 1d
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    ClientPercentage:
      properties:
        client:
          type: string
          title: Client
        percentage:
          type: number
          minimum: 0
          title: Percentage
      type: object
      required:
        - client
        - percentage
      title: ClientPercentage
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````